APICRMDealsGet Deal by ID
Get Deal by ID
Fetch a single CRM deal by its numeric ID. Returns 404 if the deal does not exist in your organization.
Created: September 16, 2026
Updated: September 16, 2026
Overview
GET
https://dashboard.vinsi.ai/api/crm/deals/{dealId}
Request
Headers
Content-Typestring
x-api-keystring
Params
dealIdstring
Example: 77
Response
{17 items
"id":int77
"organizationId":string"cmexampleorg00000000000001"
"dealName":string"Acme Dental - Annual Plan"
"pipeline":string"Sales Pipeline"
"dealStage":string"Appointment Scheduled"
"amount":int12000
"closeDate":string"2026-10-31T00:00:00.000Z"
"dealOwnerId":string"cmexampleuser0000000000001"
"dealType":string"New Business"
"priority":string"High"
"contactId":int1042
"companyId":int318
"createdAt":string"2026-09-05T16:00:00.000Z"
"updatedAt":string"2026-09-05T16:00:00.000Z"
"type":string"one-time"
"billingFrequency":null
"recurringAmount":null
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
GET
Headers
Content-Type: *
x-api-key: *
Params
dealId: *
Response
No response yet. Click Send to test the API.